# Set-RASLBSettings.md

## NAME

Set-RASLBSettings

## SYNOPSIS

Modifies Parallels RAS load balancing settings.

## SYNTAX

**Set-RASLBSettings** \[[CPUCounter](#cpucounter-string) *(bool)*] \[[DeadTimeout](#deadtimeout-string) *(uint)*] \[[DisableRDSLB](#disablerdslb-string) *(bool)*] \[[MaxConnectionRequests](#maxconnectionrequests-string) *(uint)*] \[[MemoryCounter](#memorycounter-string) *(bool)*] \[-[Method](#Method) {ResourceBased | RoundRobin}] \[[ReconnectDisconnect](#reconnectdisconnect-string) *(bool)*] \[[ReconnectUser](#reconnectuser-string) *(bool)*] \[[ReconnectUsingIPOnly](#reconnectusingiponly-string) *(bool)*] \[[RefreshTimeout](#refreshtimeout-string) *(uint)*] \[[Replicate](#replicate-string) *(bool)*] \[[SessionsCounter](#sessionscounter-string) *(bool)*] \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

The Set-RASLBSettings cmdlet modifies Parallels RAS load balancing settings using the specified parameters and their values.

All parameters are optional.

## PARAMETERS

## SiteId (uint)

The site ID to which the RAS LB settings refer.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Method ([LBMethod](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/lbmethod.md))

Specifies the load balancing method (Round-robin or Resource based).

Accepted values: ResourceBased \[0], RoundRobin \[1].

Possible values: ResourceBased, RoundRobin

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## CPUCounter (bool)

Enable or disable the CPU counter.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## MemoryCounter (bool)

Enable or disable the Memory counter.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SessionsCounter (bool)

Enable or disable the Sessions counter.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ReconnectDisconnect (bool)

Enable or disable the "Reconnect to disconnected sessions" option.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ReconnectUsingIPOnly (bool)

Enable or disable the "Reconnect sessions using client's IP address only" option.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ReconnectUser (bool)

Enable or disable the "Limit user to one session per desktop" option.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## DisableRDSLB (bool)

Enable or disable the "Disable Microsoft RD Connection Broker" option.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## DeadTimeout (uint)

Set the value (number of seconds) of the "Declare Agent dead if not responding for" property.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## RefreshTimeout (uint)

Set the value (number of seconds) of the "Agent Refresh Time" property.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Replicate (bool)

Enable or disable the "Replicate settings" option (replicate settings to all sites).

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## MaxConnectionRequests (uint)

Maximum number of connection requests for an Agent.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Set-RASLBSettings -ReconnectUser $false -DisableRDSLB $false

Modifies the specified load balancing parameters.

## RELATED LINKS

* [Get-RASLBSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-raslbsettings.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-raslbsettings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
